/* Background */
.main-wrapper {
  position: relative;
  overflow: hidden;
  padding: 20px 0;

  .bg-layer {
    position: absolute;
    inset: 0;
    z-index: 0;
  }

  .bg-layer img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  /* Content */
  .content-wrapper {
    position: relative;
    z-index: 2;
  }

  /* Logos */
  .logo-lg {
    max-width: 350px;
  }

  .logo-sm {
    height: 40px;
  }

  /* Login Card */
  .login-card {
    width: 100%;
    max-width: 550px;
    background: #fff;
    border-radius: 20px;
    padding: 30px;
    box-shadow: 0 20px 60px rgba(0, 0, 0, 0.2);
  }
  .login-card .sub-head {
    color: #646566;
    font-size: 24px;
    font-style: normal;
    font-weight: 700;
    line-height: 30px; /* 150% */
    margin-bottom: 8px;
  }
  .login-card .small-sub-head {
    color: #4a5565;
    text-align: center;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px; /* 150% */
  }
  label {
    color: #364153;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px; /* 142.857% */
    margin-bottom: 7px;
  }
  /* Inputs */
  .custom-input {
    border-radius: 10px;
    border: 1.265px solid #d1d5dc;
    overflow: hidden;
    background: #fff;
  }

  .custom-input .input-group-text {
    background: transparent;
    border: none;
    color: #99a1af;
  }

  .custom-input input {
    border: none;
    background: transparent;
    color: rgba(10, 10, 10, 0.5);
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    padding: 10px 6px;
  }

  .custom-input input:focus {
    box-shadow: none;
  }

  /* Button */
  .login-btn {
    border-radius: 14px;
    background: linear-gradient(180deg, #2563eb 0%, #1d4ed8 100%);
    box-shadow: 0 0 20px 0 rgba(37, 99, 235, 0.5);
    color: #fff;
    text-align: center;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 24px; /* 150% */
    padding: 10px;
    transition: 0.3s;
  }

  .login-btn:hover {
    box-shadow: 0 10px 20px rgba(30, 94, 255, 0.4);
  }

  /* Security Box */
  .security-box {
    border-radius: 10px;
    background: rgba(58, 141, 246, 0.1);
    padding: 14px;
  }

  .sec-title {
    font-size: 12px;
    color: #7b8bb2;
    font-weight: 600;
    margin-bottom: 18px;
    img {
      max-height: 28px;
      margin-right: 4px;
    }
  }

  .security-box h6 {
    color: #0969e0;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 24px; /* 150% */
    margin-bottom: 16px;
  }
  .security-box p {
    color: #64748b;
    font-size: 12px;
    font-style: normal;
    font-weight: 600;
    line-height: 16px; /* 133.333% */
    letter-spacing: 0.6px;
    text-transform: uppercase;
  }

  .security-box ul {
    padding-left: 0;
    margin: 0;
  }

  .security-box li {
    color: #94a3b8;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 16px; /* 133.333% */
    margin-bottom: 8px;
    list-style: none;
  }

  /* Footer */
  .footer {
    padding: 20px;
    color: rgba(255, 255, 255, 0.7);
    font-size: 13px;
    border-top: 1.265px solid #f3f4f6;
    margin-top: 24px;
  }

  .footer span {
    margin: 0 5px;
  }
}
/* Responsive */
@media (max-width: 768px) {
  .main-wrapper {
    .login-card {
      padding: 16px;
    }
    .login-card .sub-head {
      font-size: 20px;
      line-height: 24px;
    }
    .security-box h6 {
      font-size: 14px;
    }
    .sec-title,
    .security-box h6 {
      margin-bottom: 8px;
    }
  }
}

/* ========== verify-identity ================= */
.main-wrapper {
  /* Verify Icon */
  .verify-icon {
    width: 70px;
    height: 70px;
    margin: auto;
    background: #e8f0ff;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .verify-icon i {
    font-size: 28px;
    color: #1e5eff;
  }

  /* Email Box */
  .email-box {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    padding: 8px 16px;
    color: #0f172b;
    text-align: center;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px; /* 142.857% */
    border-radius: 10px;
    border: 0.667px solid #0458c3;
    background: #fff;
  }

  /* Timer */
  .timer {
    color: #4a5565;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px; /* 142.857% */
  }

  .timer i {
    margin-right: 5px;
  }

  /* Resend */
  .resend-text {
    color: #4a5565;
    text-align: center;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px; /* 142.857% */
    cursor: pointer;
  }

  /* Back Link */
  .back-link {
    color: #94a3b8;
    text-align: center;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px; /* 142.857% */
    cursor: pointer;
  }

  .back-link:hover {
    color: #2563eb;
  }
}

/* ====================== */
/* Card */
.role-card {
  background: #fff;
  border-radius: 20px;
  padding: 30px;
  width: 100%;
  max-width: 550px;
  box-shadow: 0 20px 40px rgba(0, 0, 0, 0.2);
}

.role-title {
  font-size: 26px;
  font-weight: 700;
  text-align: center;
  margin-bottom: 25px;
}

/* Role Box */
.role-box {
  border: 1.265px solid #e0e0e0;
  border-radius: 14px;
  padding: 15px;
  display: flex;
  gap: 12px;
  align-items: flex-start;
  cursor: pointer;
  transition: all 0.3s ease;
  background: #f9fafb;
  margin-bottom: 8px;
  height: 85%;
}

.role-box:hover {
  background: #f1f5ff;
}

.role-box.active {
  border-radius: 14px;
  border: 1.265px solid #1e51db;
  background: #f9fafb;
}

.role-icon {
  width: 40px;
  height: 40px;
  border-radius: 10px;
  border: 1.265px solid #e5e7eb;
  background: #f3f4f6;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 18px;
  i {
    color: #6b7280;
    font-size: 15px;
  }
}

.role-title-text {
  color: #111827;
  font-size: 12px;
  font-style: normal;
  font-weight: 700;
  line-height: 15px; /* 125% */
  margin-bottom: 2px;
}

.role-desc {
  color: #9ca3af;
  margin-bottom: 0;
  font-size: 12px;
  font-style: normal;
  font-weight: 500;
  line-height: 15px; /* 125% */
}

/* Responsive */
@media (max-width: 576px) {
  .role-card {
    padding: 20px;
  }

  .role-title {
    font-size: 22px;
  }
}

/* =============================== */

/* OTP boxes */
.otp-inputs {
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-bottom: 20px;
}

.otp-input {
  width: 48px;
  height: 54px;
  border-radius: 14px;
  background: rgba(216, 233, 255, 0.67);
  border: 0.667px solid transparent;
  text-align: center;
  font-size: 20px;
  font-weight: 600;
  outline: none;
  transition: 0.3s;
}

.otp-input:focus {
  border: 0.667px solid rgba(37, 99, 235, 0.41);
  box-shadow:
    0 0 0 0.822px rgba(37, 99, 235, 0.21),
    0 0 8.216px 0 rgba(37, 99, 235, 0.13);
}

.resend {
  color: #2563eb;
  text-align: center;
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: 24px; /* 150% */
  text-decoration: none;
  margin-bottom: 28px;
  display: inline-block;
}

.hint {
  color: #94a3b8;
  text-align: center;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px; /* 142.857% */
  margin-bottom: 14px;
}

.hint span {
  color: #38bdf8;
}

/* Responsive */
@media (max-width: 576px) {
  .otp-input {
    width: 38px;
    height: 45px;
    font-size: 18px;
  }
}

/* ================================= */
/* Option Box */
.trust-device-wrapper .option {
  display: flex;
  gap: 14px;
  align-items: flex-start;
  padding: 16px;
  text-align: left;
  margin-bottom: 12px;
  cursor: pointer;
  transition: all 0.25s ease;

  border-radius: 14px;
border: 0.667px solid rgba(255, 255, 255, 0.08);
background: #0045A6;
}

.trust-device-wrapper .option:hover {
  background: #f3f4f6;
}

/* Active State */
.trust-device-wrapper .option.active {

border: 0.667px solid #2563EB;
background: rgba(37, 99, 235, 0.10);
box-shadow: 0 0 20px 0 rgba(37, 99, 235, 0.30);
}

/* Icons */
.trust-device-wrapper .icon {
  font-size: 20px;
  margin-top: 2px;
}

.trust-device-wrapper .active-icon {
  display: none;
  color: #1E5EFF;
}

.trust-device-wrapper .inactive-icon {
  color: #9ca3af;
}

.trust-device-wrapper .option.active .active-icon {
  display: block;
}

.trust-device-wrapper .option.active .inactive-icon {
  display: none;
}

/* Text */
.trust-device-wrapper .option-title {
  color: #F8FAFC;
font-size: 18px;
font-style: normal;
font-weight: 500;
line-height: 27px; /* 150% */
  margin-bottom: 4px;
}

.trust-device-wrapper .option-desc {
  color: #94A3B8;
font-size: 14px;
font-style: normal;
font-weight: 400;
line-height: 20px; /* 142.857% */
  margin: 0;
}

.trust-device-wrapper .option.active{
   .option-title{
    color: #1F2937;
   }
   .option-desc{
    color: #94A3B8;
   }
}

/* Info Box */
.trust-device-wrapper .info-box {
  display: flex;
  gap: 10px;
  padding: 14px;
border-radius: 10px;
border: 0.667px solid rgba(255, 255, 255, 0.05);
background: rgba(31, 41, 55, 0.20);
  margin-bottom: 20px;
  margin-top: 24px;
}

.trust-device-wrapper .info-box i {
  color: #38BDF8;
  font-size: 16px;
  margin-top: 2px;
}

.trust-device-wrapper .info-box p {
 color: #6E6E6E;
font-size: 14px;
font-style: normal;
font-weight: 400;
line-height: 20px; /* 142.857% */
  margin: 0;
}
